Subject: RSVP ERO subobject IPv4 address

From: Guangzhi Li <[email-masked]>
Date: Tue, 14 Nov 2000 09:55:30 -0500

Hi,

In RSVP-TE, the format of subobject 1: IPv4 address (4.4.1.1) is

0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
           Type    |         Length     |        IPv4 address
-----------------------------------------------------------------
        IPv4 address                    |  Prefix Length |     Flags
------------------------------------------------------------------

Can somebody explain to me:
What is the advantage to split the IPv4 address in two words? From the
implementation point of view, it should be much easy to put IPv4 address

in a single word.

Thanks,

-- Li